#导入人脸识别库，别名为f
#特别说明，使用前需利用pip安装dlib和face_recognition库
#原因是face_recognition库中的函数，需要dlib来支撑
import face_recognition as f
#import cv2
#1.读入电脑中已经熟知的人脸
a1= f.load_image_file("pic/1.jpg")
#2.对人脸进行编码，以便于比对
a1_encoding = f.face_encodings(a1)[0]

#3.读入其它人脸图片，并编码

#4.按加载图像的顺序，依次标注人员姓名，形成人员姓名列表，列表中不同人员项用逗号分隔
labels = ['jobs']

#5.加载待确认的人员照片，并编码

#6.编码比对：先形成人员编码列表，利用f.compare_faces()函数，进行比对，注意，比对结果是一个True/False列表。
results=[]


#在比对结果列表中，寻找值为True的数据项，找到该数据项位置，然后在对应人员姓名列表中找到对应位置上的姓名，并显示出来
for i in range(0, len(results)):
    if results[i] == True:
        print('The person is:'+labels[i])
